Package org.eclipse.birt.core.template

# Class TextTemplate.TextNode

java.lang.Object
org.eclipse.birt.core.template.TextTemplate.Node
org.eclipse.birt.core.template.TextTemplate.TextNode

Enclosing class:
  `TextTemplate`

public static class TextTemplate.TextNode extends TextTemplate.Node

## Constructor Summary

Constructors
Constructor
Description
`TextNode()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(TextTemplate.Visitor visitor, Object value)`
`String`
`getContent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextNode

public TextNode()

## Method Details

### getContent

public String getContent()

### accept

public void accept(TextTemplate.Visitor visitor, Object value)

Specified by:
  `accept` in class `TextTemplate.Node`